package SIM;

import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

public class ASHRAEZone {
	public static double[] extractData(String line){
		int i;
		double[] result = new double[5];
		for(i = 0; i < result.length - 1; i++){
			result[i] = Double.parseDouble(line.substring(0, line.indexOf(',')));
			line = line.substring(line.indexOf(',') + 1, line.length());
		}
		result[i] = Double.parseDouble(line);
		return result;
	}
	public static void main(String[] args){
		String line;
		double cdd, hdd, t;
		double sum = 0.0;
		double[] data;
		try{
			BufferedReader br = new BufferedReader(new FileReader("dataCDD.csv"));
			PrintWriter pw = new PrintWriter(new FileWriter("resultDAY.csv"));
			line = br.readLine();
			line = br.readLine();
			while(line != null){
				data = extractData(line);
				sum += data[3];
				if (data[2] == 24.0){
					t = sum / 24.0;
					cdd = (t < 10.0) ? 0.0 : t - 10.0;
					hdd = (t > 18.0) ? 0.0 : 18.0 - t;
					pw.println(data[0] + "," + data[1] + ","  + sum / 24 + ","  + cdd + ","  + hdd);
					System.out.println(data[0] + "," + data[1] + ","  + sum / 24 + ","  + cdd + ","  + hdd);
					sum = 0.0;
				}
				line = br.readLine();
			}	
			br.close();
			pw.close();
		} catch (IOException ex){
			System.out.println(ex.getMessage());
		}
	}
}
