package SIM;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class GAbout extends JDialog implements ActionListener{
	BufferedImage imgIER;
	BufferedImage imgUNAM;
	private JButton btAccept;	
	private JPanel pnlCenter;
	private JPanel pnlBottom;
	
	public GAbout(JFrame parent){
		InitializeImages();
		InitializeComponents(parent);
	}
	
	public void InitializeImages(){
		try{
			URL myURL1 = GSim.class.getResource("logo_ier.png");
			URL myURL2 = GSim.class.getResource("logo_unam.jpg");
			imgIER = ImageIO.read(myURL1);
			imgUNAM = ImageIO.read(myURL2);
		} catch (IOException ex){
			
		}
	}
	
	public void InitializeComponents(JFrame myParent){
		btAccept = new JButton();
		pnlCenter = new JPanel(){
			@Override
			public void paintComponent(Graphics g){
				g.setColor(Color.WHITE);
				g.fillRect(0, 0, 300, 300);
				g.setColor(Color.BLACK);
				g.drawImage(imgIER, 20, 30, 129, 78, null);
				g.drawImage(imgUNAM, 160, 20, 86, 94, null);
				g.drawString("UNIVERSIDAD AUTNOMA NACIONAL DE MXICO", 5, 140);
				g.drawString("INSTITUTO DE ENERGAS RENOVABLES", 30, 160);
				g.drawString("Simulador SDDL", 90, 190);
				g.drawString("Versin 0.1", 105, 210);
				g.drawString("Diseado por: Ing. Efran Puerto", 55, 230);
				g.drawString("eapc@ier.unam.mx", 85, 250);
			}
		};
		pnlBottom = new JPanel();
		/*
		 * btAccept
		 */
		btAccept.setName("btAccept");
		btAccept.setText("Aceptar");
		btAccept.setSize(100, 20);
		btAccept.setLocation(175, 0);
		btAccept.addActionListener(this);
		/*
		 * pnlCenter
		 */
		pnlCenter.setName("pnlCenter");
		pnlCenter.setBackground(Color.WHITE);
		/*
		 * pnlBottom
		 */
		pnlBottom.setName("pnlBottom");
		pnlBottom.add(btAccept);
		/*
		 * GAbout
		 */
		this.setTitle("Simulador SDDL Versin 0.1");
		this.setSize(300, 340);
		this.setLocationRelativeTo(myParent);
		this.setModalityType(ModalityType.APPLICATION_MODAL);
		this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		this.setResizable(false);
		this.setLayout(new BorderLayout());
		this.add(pnlCenter, BorderLayout.CENTER);
		this.add(pnlBottom, BorderLayout.SOUTH);
		
	}
	
	@Override
	public void actionPerformed(ActionEvent e){
		this.dispose();
	}
	
}
