package SIM;

import java.awt.Toolkit;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.JFrame;

public class GProgressMonitor extends JDialog{
	private JProgressBar pmProgress;
	int progress;
	JFrame myParent;
	
	public GProgressMonitor(JFrame parent){
		myParent = parent;
		progress = 0;
		pmProgress = new JProgressBar(0, 100);
		pmProgress.setValue(0);
		pmProgress.setStringPainted(true);
		this.setTitle("Generando...");
		this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		this.setLocationRelativeTo(myParent);
		this.setModalityType(ModalityType.MODELESS);
		this.setSize(100, 50);
		this.setResizable(false);
		this.add(pmProgress);
		this.setVisible(true);
		myParent.setEnabled(false);
	}
	
	public void setProgress(int val){
		progress = val;
		pmProgress.setValue(progress);
		if(progress > 99){
			this.close();
		}
	}
	
	public void close(){
		myParent.setEnabled(true);
		this.dispose();
	}
}

