package SIM;
import javax.swing.*;

import Elements.Desiccant;
import Elements.Node;
import Elements.Water;

import java.awt.*;
import java.awt.event.*;

public class GraphDemo extends JFrame implements ActionListener{
	String lbtext = "default";
	JLabel lb1;
	JButton bt1;
	public GraphDemo(){
		super();
		this.setSize(new Dimension(200, 200));
		lb1 = new JLabel("Prueba");
		lb1.setText(lbtext);
		this.setLayout(new GridLayout(0,2));
		this.add(lb1);
		bt1 = new JButton("Oprimir");
		bt1.setText("Oprimir");
		bt1.addActionListener(this);
		this.add(bt1);
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	}
	
	@Override
	public void actionPerformed(ActionEvent ev){
		Node node = new Node(new Desiccant(), 20.0, 0.5, 3.0);
		node = GNode.getData(this, "Nodo", node, GNode.Modality.ALL_MODIFIABLE);
		System.out.println("Fluid: " + node.getFluid().getName());
		System.out.println("Pressure: " + node.getPressure() + " kPa");
		System.out.println("Tem: " + node.getTem() + " C");
		System.out.println("XCon: " + node.getXCon() + " kg/kg");
		System.out.println("Mass Flow: " + node.getMFlow() + " kg/s");
	}
	
	public static void main(String args[]){
		GraphDemo form = new GraphDemo();
		form.setVisible(true);
	}
}
